﻿# You can place the script of your game in this file.

init:

    # Declare images used by this game.
    image lecturehall = "lecturehall.png"
    image uni = "uni.png"
    image meadow = "meadow.png"
    image club = "club.png"
    image black = "#000000"
    
    image sylvie_normal = "sylvie_normal.png"
    image sylvie_giggle = "sylvie_giggle.png"
    image sylvie_smile = "sylvie_smile.png"
    image sylvie_sad = "sylvie_sad.png"    
    image sylvie_surprised = "sylvie_surprised.png"    

    image sylvie2_normal = "sylvie2_normal.png"
    image sylvie2_giggle = "sylvie2_giggle.png"
    image sylvie2_smile = "sylvie2_smile.png"  
    image sylvie2_surprised = "sylvie2_surprised.png"    

    # Declare characters used by this game.
    $ s = Character('Sylvie', color="#c8ffc8")
    $ m = Character('me', color="#ffffff")


# The game starts here.
label start:

    $ renpy.music.play('illurock.ogg', loop=True)

    scene lecturehall with fade

    "Well, professor Eileen's lecture was interesting."
    "But to be honest, I couldn't concentrate on it very much."
    "I had a lot of other thoughts on my mind."
    "And they all ended up with a question."
    "A question, I've been meaning to ask someone."

    scene uni with fade

    "When we came out of the university, I saw her."
    
    show sylvie_normal with dissolve
    
    "She was a wonderful person."
    "I've known her ever since we were children."
    "And she's always been a good friend."
    "But..."
    "Recently..."
    "I think..."
    "... that I wanted more."
    "More just talking... more than just walking home together when our classes ended."
    "And I decided..."

    menu:

        "... to ask her right away.":
        
            jump rightaway
            
        "... to ask her later.":
        
            jump later
       

label rightaway:

    scene uni with fade
    
    show sylvie_smile with dissolve

    s "- Oh, hi, do we walk home together?"
    m "- Yes..."
    "I said and my voice was already shaking."
    
    scene meadow with fade
    
    "We reached the meadows just outside out hometown."
    "Autumn was so beautiful here."
    "When we were children, we often played here."
    m "- Hey... ummm..."
    
    show sylvie_smile with dissolve
    
    "She turned to me and smiled."
    "I'll ask her..."
    m "- Ummm... will you..."
    m "- Will you be my artist for a visual novel?"
    
    hide sylvie_smile
    show sylvie_surprised
    
    "Silence."
    "She is shocked. And then..."
    
    hide sylvie_surprised
    show sylvie_smile
    
    s "- Sure, but what is a visual  novel?"

    menu:

        "It's a story with pictures.":
            jump vn
            
        "It's a hentai game.":
            jump hentai

label vn:

    scene meadow with fade
    show sylvie_smile with dissolve

    m "- It's a story with pictures and music."
    m "- And you'll be able to make choices that influence the outcome of the story."
    s "- So it's like those choose-your-adventure books?"
    m "- Exactly! I plan on making a small romantic story."
    m "- And I figured you could help me... since I know how you like to draw."
    
    hide sylvie_smile
    show sylvie_normal
    
    s "- Well, I can try. I hope I don't disappoint you."
    m "- You can't disappoint me, you know that."

    scene black with fade

    "--- years later ---"

    scene club with fade

    "And so, we became a visual novel creating team."
    "We made games and had a lot of fun making them."
    "And one day..."
        
    show sylvie2_normal with dissolve
        
    s "- Hey..."    
    m "- Yes?"
    
    hide sylvie2_normal
    show sylvie2_giggle
    
    s "- Marry me!"
    m "- What???"
    
    hide sylvie2_giggle
    show sylvie2_surprised
    
    s "- Well, don't you love me?"
    m "- I do, actually."
    
    hide sylvie2_surprised
    show sylvie2_smile
    
    s "- See? We've been making romantic visual novels, spending time together, helping each other...."
    s "- ... and when you give love to others, love will come to you."
    m "- Hmmm, that's a nice thought."

    hide sylvie2_smile
    show sylvie2_giggle
    
    s "- I just made that up."
    m "- But it's good."
    
    hide sylvie2_giggle
    show sylvie2_normal
    
    s "- I know. So, will you marry me?"
    m "- Ummm, of course I will. I've actually been meaning to ask you, but since you brought it up..."
    s "- I know, but you are so indecisive, that I thought I'd take the initiative. "
    m "- I guess... It's all all about asking the right question... at the right time."
    
    hide sylvie2_normal
    show sylvie2_giggle
    
    s "- It is. But now, stop being theoretical, and give me a kiss!"

    scene black with fade

    "And we got married shortly after that."
    "In fact, we made many more visual novels."
    "And we were happy together."

    "SO REMEMBER:"
    "MAKING REN'AI VISUAL NOVELS HELPS YOU TO FIND THE LOVE OF YOUR LIFE AND LIVE HAPPILY EVER AFTER!"

jump end


label hentai:

    m "- Why it's a game with lots of sex."

    show sylvie_sad with dissolve
    
    "Her face gets darker"
    s "- I'm disappointed in you. I thought you would be different."

    scene black with fade

    "And so, everything ended."
    "And I was alone."

jump end

label later:

    scene black with fade

    "And so I decided to ask her later."
    "But I was indecisive."
    "I couldn't ask her that day, and I couldn't ask her later."
    "I guess I will never know now."
    
label end:

    return
    